<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Menu.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">tutorial-4</a> &gt; <a href="index.source.html" class="el_package">id.ac.ui.cs.advprog.tutorial4.factory.core.menu</a> &gt; <span class="el_source">Menu.java</span></div><h1>Menu.java</h1><pre class="source lang-java linenums">package id.ac.ui.cs.advprog.tutorial4.factory.core.menu;

import id.ac.ui.cs.advprog.tutorial4.factory.core.factory.MenuIngredientFactory;
import id.ac.ui.cs.advprog.tutorial4.factory.core.ingridients.flavor.Flavor;
import id.ac.ui.cs.advprog.tutorial4.factory.core.ingridients.meat.Meat;
import id.ac.ui.cs.advprog.tutorial4.factory.core.ingridients.noodle.Noodle;
import id.ac.ui.cs.advprog.tutorial4.factory.core.ingridients.topping.Topping;

public class Menu {
    private String name;
    private Noodle noodle;
    private Meat meat;
    private Topping topping;
    private Flavor flavor;
    private MenuIngredientFactory factory;

    //To Do : Complete Me
    //Silahkan tambahkan parameter jika dibutuhkan
<span class="fc" id="L19">    public Menu(String name, MenuIngredientFactory factory){</span>
<span class="fc" id="L20">        this.name = name; this.factory=factory; prepare();</span>
<span class="fc" id="L21">    }</span>


    public String getName() {
<span class="nc" id="L25">        return name;</span>
    }

    public Noodle getNoodle() {
<span class="nc" id="L29">        return noodle;</span>
    }

    public Meat getMeat() {
<span class="nc" id="L33">        return meat;</span>
    }

    public Topping getTopping() {
<span class="nc" id="L37">        return topping;</span>
    }

    public Flavor getFlavor() {
<span class="nc" id="L41">        return flavor;</span>
    }
    public void prepare(){
<span class="fc" id="L44">        this.noodle= factory.createNoodle();</span>
<span class="fc" id="L45">        this.meat= factory.createMeat();</span>
<span class="fc" id="L46">        this.flavor= factory.createFlavor();</span>
<span class="fc" id="L47">        this.topping= factory.createTopping();</span>
<span class="fc" id="L48">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>